Package Details: haskell-glut 2.6.0.0-1

Git Clone URL: https://aur.archlinux.org/haskell-glut.git (read-only)
Package Base: haskell-glut
Description: A binding for the OpenGL Utility Toolkit
Upstream URL: http://hackage.haskell.org/package/GLUT
Licenses: custom:BSD3
Submitter: td123
Maintainer: None
Last Packager: drevilt
Votes: 1
Popularity: 0.000000
First Submitted: 2012-02-25 05:06
Last Updated: 2015-06-08 18:38

Latest Comments

poikilos commented on 2018-01-07 22:19

Somebody help! This needs maintenance--it won't install: https://pastebin.com/AF7W2AYN . ghc is having trouble and there seems to be few people who know how to fix or even diagnose it. Various packages such as this won't compile on fresh install even via cabal, and output of compiler says to run ghc-pkg check which results in a bunch of warnings but arch maintainer (here https://bugs.archlinux.org/task/56927 ) and haskell program (at link below) say that these warnings aren't issues so something else is wrong, so the issue is entirely opaque (not discoverable through error messages) to anyone not experienced in haskell. One haskell programmer says (here https://github.com/styx/Raincat/issues/6 ) that most (hackage versions of) packages are not ready for ghc-8.2.2, but that is the version in arch and generally, downgrading stuff in arch is usually said to be not recommended (normally tutorials have you downgrade forcefully via package cache).